GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Typedefs
port_platform.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros
#define | GPR_PLATFORM_STRING "unknown"
#define | GPR_CACHELINE_SIZE_LOG 6
#define | GPR_CACHELINE_SIZE (1 << GPR_CACHELINE_SIZE_LOG)
#define | GPR_INT64_MAX (gpr_int64)(~(gpr_uint64)0 >> 1)
#define | GPR_MAX_ALIGNMENT 16
#define | GRPC_MUST_USE_RESULT

## Typedefs
typedef int16_t | gpr_int16
typedef int32_t | gpr_int32
typedef int64_t | gpr_int64
typedef uint8_t | gpr_uint8
typedef uint16_t | gpr_uint16
typedef uint32_t | gpr_uint32
typedef uint64_t | gpr_uint64
typedef intmax_t | gpr_intmax
typedef intptr_t | gpr_intptr
typedef uintmax_t | gpr_uintmax
typedef uintptr_t | gpr_uintptr

## Macro Definition Documentation

#define GPR_CACHELINE_SIZE (1 << GPR_CACHELINE_SIZE_LOG)

#define GPR_CACHELINE_SIZE_LOG 6

#define GPR_INT64_MAX (gpr_int64)(~(gpr_uint64)0 >> 1)

#define GPR_MAX_ALIGNMENT 16

#define GPR_PLATFORM_STRING "unknown"

#define GRPC_MUST_USE_RESULT

## Typedef Documentation

typedef int16_t gpr_int16

typedef int32_t gpr_int32

typedef int64_t gpr_int64

typedef intmax_t gpr_intmax

typedef intptr_t gpr_intptr

typedef uint16_t gpr_uint16

typedef uint32_t gpr_uint32

typedef uint64_t gpr_uint64

typedef uint8_t gpr_uint8

typedef uintmax_t gpr_uintmax

typedef uintptr_t gpr_uintptr